Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

SOLVED

Campaign SDK Version Coming as Null

mcece01
Level 2
Level 2

I am using multiple Adobe Launch extensions like:

Target.registerExtension()
Analytics.registerExtension()
Identity.registerExtension()
Lifecycle.registerExtension()
Signal.registerExtension()
UserProfile.registerExtension() 

When we try to use campaign extension for push messaging, I added

Campaign.registerExtension()

as well. I also added implementation:

implementation "com.adobe.marketing.mobile:campaign:1.+"

 However, I am getting this log;

 

V/AdobeExperienceSDK: EventHub(AMSEventHub) - Registering extension 'com.adobe.module.campaign' with version 'null'

and 

V/AdobeExperienceSDK: EventHub(AMSEventHub) - New shared state data for 'com.adobe.module.eventhub' at version '0':
{
"extensions" : {
"Target" : {
"version" : "1.1.6"
},
"Signal" : {
"version" : "1.0.2"
},
"Configuration" : {
"version" : "1.5.7"
},
"UserProfile" : {
"version" : "1.1.0"
},
"com.adobe.module.campaign" : {
"version" : ""
},
"Lifecycle" : {
"version" : "1.0.6"
},
"Identity" : {
"version" : "1.2.2"
},
"Analytics" : {
"version" : "1.2.6"
}
},
"version" : "1.5.7"
}

 

How can I fix this issue? 

Campaign Standard Campaigns
1 Accepted Solution
Ivan_Mironchuk
Correct answer by
Employee
Employee

Did you also make sure to import the campaign extension in your project? I see the implementation for your cradle file and also the register call. 

Make sure to match the sample on this page below. Also note that the extension version can be called using;

 

Campaign.extensionVersion();

 

https://aep-sdks.gitbook.io/docs/using-mobile-extensions/adobe-campaign-standard

 

 

View solution in original post

4 Replies
Ivan_Mironchuk
Correct answer by
Employee
Employee

Did you also make sure to import the campaign extension in your project? I see the implementation for your cradle file and also the register call. 

Make sure to match the sample on this page below. Also note that the extension version can be called using;

 

Campaign.extensionVersion();

 

https://aep-sdks.gitbook.io/docs/using-mobile-extensions/adobe-campaign-standard

 

 

View solution in original post

mcece01
Level 2
Level 2

I also added:

import com.adobe.marketing.mobile.Campaign;
 
However It was still same, but we made push messaging working even campaign version is coming as null. We thought it might be an issue with Adobe SDK logging. Functionality is working but not sure why version number is null in the logs. 
Ryan_Morales
Employee
Employee

Hi @mcece01,

 

We have identified the cause of the null version number and it will be fixed in the next Campaign extension release. In the meantime, the Campaign extension should be fine to use in your app. As @Ivan_Mironchuk  mentioned, you can retrieve the current Campaign extension version using

 

Campaign.extensionVersion();

 

Thanks,

Ryan